<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.redhat.quarkus.platform</groupId>
    <artifactId>quarkus-platform-parent</artifactId>
    <version>2.13.8.SP2-redhat-00001</version>
    <relativePath>..</relativePath>
  </parent>
  <artifactId>quarkus-sbom</artifactId>
  <packaging>pom</packaging>
  <name>Quarkus Platform - Quarkus Sbom</name>
  <properties>
    <gpg.skip>true</gpg.skip>
  </properties>
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <artifactId>maven-install-plugin</artifactId>
          <executions>
            <execution>
              <id>default-install</id>
              <phase>none</phase>
            </execution>
          </executions>
        </plugin>
        <plugin>
          <artifactId>maven-deploy-plugin</artifactId>
          <executions>
            <execution>
              <id>default-deploy</id>
              <phase>none</phase>
            </execution>
          </executions>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <groupId>io.quarkus</groupId>
        <artifactId>quarkus-platform-bom-maven-plugin</artifactId>
      </plugin>
    </plugins>
  </build>
  <profiles>
    <profile>
      <id>sbom</id>
      <activation>
        <property>
          <name>sbom</name>
        </property>
      </activation>
      <build>
        <defaultGoal>quarkus-platform-bom:dependencies-to-build@quarkus-bom quarkus-platform-bom:dependencies-to-build@quarkus-optaplanner-bom quarkus-platform-bom:dependencies-to-build@quarkus-qpid-jms-bom quarkus-platform-bom:dependencies-to-build@quarkus-camel-bom </defaultGoal>
        <pluginManagement>
          <plugins>
            <plugin>
              <groupId>io.quarkus</groupId>
              <artifactId>quarkus-platform-bom-maven-plugin</artifactId>
              <executions>
                <execution>
                  <id>quarkus-bom</id>
                  <phase>process-resources</phase>
                  <goals>
                    <goal>dependencies-to-build</goal>
                  </goals>
                  <configuration>
                    <bom>com.redhat.quarkus.platform:quarkus-bom:${project.version}</bom>
                    <outputFile>../../target/sbom/quarkus-bom-sbom.json</outputFile>
                    <productInfo combine.self="append">
                      <id>quarkus-2</id>
                      <stream>quarkus-2.13</stream>
                      <type>FRAMEWORK</type>
                      <group>com.redhat.quarkus.platform</group>
                      <name>quarkus-bom</name>
                      <version>2.13.8.SP2-redhat-00001</version>
                      <description>Red Hat Build of Quarkus - Kubernetes Native Java stack tailored for OpenJDK HotSpot and GraalVM</description>
                      <releaseNotes combine.self="append">
                        <type>Patch</type>
                        <title>Red Hat Build of Quarkus 2.13.8.SP2-redhat-00001</title>
                        <aliases combine.self="append">
                          <alias>RHBQ</alias>
                          <alias>Quarkus</alias>
                          <alias>Fireball</alias>
                        </aliases>
                        <properties combine.self="append">
                          <product-name>Red Hat Build of Quarkus</product-name>
                          <product-version>2.13.8.SP2-redhat-00001</product-version>
                        </properties>
                      </releaseNotes>
                    </productInfo>
                    <redhatSupported>true</redhatSupported>
                    <dependenciesToBuild combine.self="override">
                      <includeArtifacts>
                        <artifact>io.quarkus:quarkus-bom-quarkus-platform-descriptor:2.13.8.Final-redhat-00005:json:2.13.8.Final-redhat-00005</artifact>
                        <artifact>io.quarkus:quarkus-bom-quarkus-platform-properties::properties:2.13.8.Final-redhat-00005</artifact>
                        <artifact>io.quarkus:quarkus-extension-maven-plugin::jar:2.13.8.Final-redhat-00005</artifact>
                        <artifact>io.quarkus:quarkus-extension-processor::jar:2.13.8.Final-redhat-00005</artifact>
                        <artifact>io.quarkus:quarkus-maven-plugin::jar:2.13.8.Final-redhat-00005</artifact>
                      </includeArtifacts>
                      <includeGroupIds>
                        <groupId>org.hibernate.common</groupId>
                      </includeGroupIds>
                      <includeKeys>
                        <key>io.quarkus:quarkus-devtools-base-codestarts::jar</key>
                        <key>io.quarkus:quarkus-devtools-codestarts::jar</key>
                        <key>io.quarkus:quarkus-devtools-message-writer::jar</key>
                        <key>org.bitbucket.b_c:jose4j::jar</key>
                      </includeKeys>
                    </dependenciesToBuild>
                  </configuration>
                </execution>
                <execution>
                  <id>quarkus-optaplanner-bom</id>
                  <phase>process-resources</phase>
                  <goals>
                    <goal>dependencies-to-build</goal>
                  </goals>
                  <configuration>
                    <bom>com.redhat.quarkus.platform:quarkus-optaplanner-bom:${project.version}</bom>
                    <outputFile>../../target/sbom/quarkus-optaplanner-bom-sbom.json</outputFile>
                    <productInfo combine.self="append">
                      <id>rhbop-8</id>
                      <stream>rhbop-8</stream>
                      <type>FRAMEWORK</type>
                      <group>com.redhat.quarkus.platform</group>
                      <name>quarkus-optaplanner-bom</name>
                      <version>2.13.8.SP2-redhat-00001</version>
                      <description>Red Hat build of OptaPlanner 8</description>
                      <releaseNotes combine.self="append">
                        <type>Patch</type>
                        <title>Red Hat build of OptaPlanner 2.13.8.SP2-redhat-00001</title>
                        <properties combine.self="append">
                          <product-name>Red Hat build of OptaPlanner 8</product-name>
                          <product-version>2.13.8.SP2-redhat-00001</product-version>
                        </properties>
                      </releaseNotes>
                    </productInfo>
                    <redhatSupported>true</redhatSupported>
                    <dependenciesToBuild combine.self="override" />
                  </configuration>
                </execution>
                <execution>
                  <id>quarkus-qpid-jms-bom</id>
                  <phase>process-resources</phase>
                  <goals>
                    <goal>dependencies-to-build</goal>
                  </goals>
                  <configuration>
                    <bom>com.redhat.quarkus.platform:quarkus-qpid-jms-bom:${project.version}</bom>
                    <outputFile>../../target/sbom/quarkus-qpid-jms-bom-sbom.json</outputFile>
                    <productInfo combine.self="append">
                      <id>amq-cl-2</id>
                      <stream>amq-cl-2</stream>
                      <type>FRAMEWORK</type>
                      <group>com.redhat.quarkus.platform</group>
                      <name>quarkus-qpid-jms-bom</name>
                      <version>2.13.8.SP2-redhat-00001</version>
                      <description>A-MQ Clients 2</description>
                      <releaseNotes combine.self="append">
                        <type>Patch</type>
                        <title>A-MQ Clients 2.13.8.SP2-redhat-00001</title>
                        <properties combine.self="append">
                          <product-name>A-MQ Clients 2</product-name>
                          <product-version>2.13.8.SP2-redhat-00001</product-version>
                        </properties>
                      </releaseNotes>
                    </productInfo>
                    <redhatSupported>true</redhatSupported>
                    <dependenciesToBuild combine.self="override" />
                  </configuration>
                </execution>
                <execution>
                  <id>quarkus-camel-bom</id>
                  <phase>process-resources</phase>
                  <goals>
                    <goal>dependencies-to-build</goal>
                  </goals>
                  <configuration>
                    <bom>com.redhat.quarkus.platform:quarkus-camel-bom:${project.version}</bom>
                    <outputFile>../../target/sbom/quarkus-camel-bom-sbom.json</outputFile>
                    <productInfo combine.self="append">
                      <id>rhint-camel-quarkus-2</id>
                      <stream>rhint-camel-quarkus-2.13</stream>
                      <type>FRAMEWORK</type>
                      <group>com.redhat.quarkus.platform</group>
                      <name>quarkus-camel-bom</name>
                      <version>2.13.8.SP2-redhat-00001</version>
                      <description>Red Hat Integration Camel Quarkus</description>
                      <releaseNotes combine.self="append">
                        <type>Patch</type>
                        <title>Red Hat Integration Camel Quarkus 2.13.8.SP2-redhat-00001</title>
                        <properties combine.self="append">
                          <product-name>Red Hat Integration Camel Quarkus</product-name>
                          <product-version>2.13.8.SP2-redhat-00001</product-version>
                        </properties>
                      </releaseNotes>
                    </productInfo>
                    <redhatSupported>true</redhatSupported>
                    <dependenciesToBuild combine.self="override" />
                  </configuration>
                </execution>
              </executions>
            </plugin>
          </plugins>
        </pluginManagement>
      </build>
    </profile>
  </profiles>
</project>
